Come for the products,
stay for the community

The Atlassian Community can help you and your team get more value out of Atlassian products and practices.

Atlassian Community about banner
4,293,551
Community Members
 
Community Events
165
Community Groups

Problem upgrading JIRA Agile, currently at 8.20.1

Edited

Similar to https://confluence.atlassian.com/jirakb/jira-upgrade-fails-with-error-minimum-build-number-of-45-required-812222943.html ,  when I upgraded JIRA 6.3.9 to 7.0.11, I got errors in atlassian-jira.log:

JIRA Agile Run History

JIRA Agile v6.3.13.1 (a73d75f118867c66) started at 02 Apr 2022 01:34

*JIRA Agile v7.0.11 (63b8de25536543e7) started at 02 Apr 2022 02:56

.....

2022-04-02 15:42:05,361-0400 JIRA-Bootstrap INFO [c.a.jira.plugin.JiraPluginManager] Plugin with key 'com.pyxis.greenhopper.jira' and name 'JIRA Agile' and version '7.0.11' is being updated to version '7.13.0-DAILY20200703023111'.
2022-04-02 15:42:05,726-0400 JIRA-Bootstrap ERROR [c.a.s.core.upgrade.PluginUpgrader] Upgrade failed: This version of JIRA Agile requires a minimum build number of #45 in order to proceed. The latest upgrade task to have been successfully completed is #43. You must uninstall this version of JIRA Agile and attempt an upgrade via an intermediary version.
java.lang.IllegalStateException: This version of JIRA Agile requires a minimum build number of #45 in order to proceed. The latest upgrade task to have been successfully completed is #43. You must uninstall this version of JIRA Agile and attempt an upgrade via an intermediary version.
2022-04-02 15:42:06,300-0400 JIRA-Bootstrap ERROR [c.a.s.core.upgrade.DefaultPluginUpgradeManager] Upgrade error: Unexpected exception caught during plugin upgrade: java.lang.IllegalStateException: This version of JIRA Agile requires a minimum build number of #45 in order to proceed. The latest upgrade task to have been successfully completed is #43. You must uninstall this version of JIRA Agile and attempt an upgrade via an intermediary version.

I tried following the workaround in  https://confluence.atlassian.com/jirakb/jira-upgrade-fails-with-error-minimum-build-number-of-45-required-812222943.html but gave up. Instead, I deleted jira-greenhopper-plugin-7.0.11.jar and proceeded with the upgrade. After 7.0.11, I upgraded to 7.13.18, then to 8.13.5, and finally to 8.20.1.  I deleted the greenhopper jars in each case.

Last year I upgraded 6.3.9 to 8.13.5 but didn't run into the problem with JIRA Agile.

To get JIRA Agile working with 8.20.1, what is the best approach?    Is there a workaround?  Do i need to restart with various greenhopper jars?  I believe we have no Agile data we need to upgrade, so we can start from scratch.

0 answers

Suggest an answer

Log in or Sign up to answer
TAGS
Community showcase
Posted in Jira Service Management

Jira Service Management Documentation Opportunities

Hello everyone, Hope everyone is safe! A few months ago we posted an article sharing all the new articles and documentation that we, the AMER Jira Service Management team created. As mentioned ...

203 views 0 5
Join discussion

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you